Skip to main content
PUT
/
networks
/
tieredcommissions
/
{commissionId}
Update Tiered Commission
curl --request PUT \
  --url https://api.eflow.team/v1/networks/tieredcommissions/{commissionId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "SilverCommission",
  "notes": "Monthly payement",
  "status": "active",
  "start_date": "2020-07-23",
  "end_date": "2020-08-22",
  "period": "monthly",
  "network_offer_payout_revenue_id": 0,
  "is_apply_all_affiliates": false,
  "network_affiliate_ids": [
    21,
    35,
    28
  ],
  "network_offer_ids": [
    1,
    15,
    12
  ],
  "network_advertiser_ids": null,
  "is_payout_enabled": true,
  "payout_action": "increase",
  "payout_value": 10,
  "is_revenue_enabled": true,
  "revenue_action": "decrease",
  "revenue_value": 6,
  "payout_goal": 0,
  "revenue_goal": 121,
  "sale_amount_goal": 0,
  "conversion_goal": 10,
  "event_goal": 0,
  "relationship": {},
  "payout_max": 0,
  "revenue_max": 1000,
  "sale_amount_max": 0,
  "conversion_max": 0,
  "event_max": 0,
  "is_retroactive_payout_enabled": true,
  "retroactive_payout_action": "flat_increase",
  "retroactive_payout_value": 5,
  "is_retroactive_revenue_enabled": false,
  "retroactive_revenue_action": "",
  "retroactive_revenue_value": 0
}
'
import requests

url = "https://api.eflow.team/v1/networks/tieredcommissions/{commissionId}"

payload = {
"name": "SilverCommission",
"notes": "Monthly payement",
"status": "active",
"start_date": "2020-07-23",
"end_date": "2020-08-22",
"period": "monthly",
"network_offer_payout_revenue_id": 0,
"is_apply_all_affiliates": False,
"network_affiliate_ids": [21, 35, 28],
"network_offer_ids": [1, 15, 12],
"network_advertiser_ids": None,
"is_payout_enabled": True,
"payout_action": "increase",
"payout_value": 10,
"is_revenue_enabled": True,
"revenue_action": "decrease",
"revenue_value": 6,
"payout_goal": 0,
"revenue_goal": 121,
"sale_amount_goal": 0,
"conversion_goal": 10,
"event_goal": 0,
"relationship": {},
"payout_max": 0,
"revenue_max": 1000,
"sale_amount_max": 0,
"conversion_max": 0,
"event_max": 0,
"is_retroactive_payout_enabled": True,
"retroactive_payout_action": "flat_increase",
"retroactive_payout_value": 5,
"is_retroactive_revenue_enabled": False,
"retroactive_revenue_action": "",
"retroactive_revenue_value": 0
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'SilverCommission',
notes: 'Monthly payement',
status: 'active',
start_date: '2020-07-23',
end_date: '2020-08-22',
period: 'monthly',
network_offer_payout_revenue_id: 0,
is_apply_all_affiliates: false,
network_affiliate_ids: [21, 35, 28],
network_offer_ids: [1, 15, 12],
network_advertiser_ids: null,
is_payout_enabled: true,
payout_action: 'increase',
payout_value: 10,
is_revenue_enabled: true,
revenue_action: 'decrease',
revenue_value: 6,
payout_goal: 0,
revenue_goal: 121,
sale_amount_goal: 0,
conversion_goal: 10,
event_goal: 0,
relationship: {},
payout_max: 0,
revenue_max: 1000,
sale_amount_max: 0,
conversion_max: 0,
event_max: 0,
is_retroactive_payout_enabled: true,
retroactive_payout_action: 'flat_increase',
retroactive_payout_value: 5,
is_retroactive_revenue_enabled: false,
retroactive_revenue_action: '',
retroactive_revenue_value: 0
})
};

fetch('https://api.eflow.team/v1/networks/tieredcommissions/{commissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "network_tiered_commission_id": 1,
  "network_id": 1,
  "name": "SilverCommission",
  "notes": "Monthly payement",
  "status": "active",
  "start_date": "2020-07-23",
  "end_date": "2020-08-22",
  "period": "monthly",
  "network_offer_payout_revenue_id": 0,
  "is_apply_all_affiliates": false,
  "network_affiliate_ids": [
    21,
    35,
    28
  ],
  "network_offer_ids": [
    1,
    15,
    12
  ],
  "network_advertiser_ids": null,
  "is_payout_enabled": true,
  "payout_action": "increase",
  "payout_value": 10,
  "is_revenue_enabled": true,
  "revenue_action": "decrease",
  "revenue_value": 6,
  "payout_goal": 0,
  "revenue_goal": 121,
  "sale_amount_goal": 0,
  "conversion_goal": 10,
  "event_goal": 0,
  "relationship": {},
  "payout_max": 0,
  "revenue_max": 1000,
  "sale_amount_max": 0,
  "conversion_max": 0,
  "event_max": 0,
  "is_retroactive_payout_enabled": false,
  "retroactive_payout_action": "flat_increase",
  "retroactive_payout_value": 0,
  "retroactive_payout_type": "",
  "retroactive_payout_percentage": 0,
  "is_retroactive_revenue_enabled": false,
  "retroactive_revenue_action": "flat_decrease",
  "retroactive_revenue_value": 0,
  "retroactive_revenue_type": "",
  "retroactive_revenue_percentage": 0,
  "time_created": 1734455015,
  "time_saved": 1734455015
}
Update an existing tiered commission configuration. You must specify all the fields, not only the ones you wish to update. If you omit a field that is not marked as required, its default value will be used.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

commissionId
integer
required

The ID of the tiered commission you want to update.

Body

application/json

Input schema for creating or updating a tiered commission. At least one goal field (conversion_goal, event_goal, sale_amount_goal, payout_goal, or revenue_goal) must be greater than 0. If payout or revenue is enabled, the corresponding action and value fields are required.

name
string
required

The name of the tiered commission.

Example:

"SilverCommission"

status
enum<string>
required

The tiered commissions status. Can either be active or inactive.

Available options:
active,
inactive
Example:

"active"

start_date
string
required

Start of when rule goes into effect. This can be set to a future date.

Example:

"2020-07-23"

end_date
string
required

End of when rule goes into effect.

Example:

"2020-08-22"

period
enum<string>
required

The tiered commissions period. Can either be daily, weekly, monthly, quarterly or global.

Available options:
daily,
weekly,
monthly,
quarterly,
global
Example:

"monthly"

network_offer_ids
integer[]
required

ID of the offers.

Example:
[1, 15, 12]
is_payout_enabled
boolean
required

Whether or not you want to enable the payout settings. Defaults to false.

Example:

true

payout_action
enum<string>
required

Type of payout action. Required only if is_payout_enabled is true. Do not use exact — it will be stored as unknown.

Available options:
increase,
decrease,
flat_increase,
flat_decrease
Example:

"increase"

payout_value
number
required

The payout modifier value. Required only if is_payout_enabled is true. Must be greater than 0.

Example:

10

is_revenue_enabled
boolean
required

Whether or not you want to enable the revenue. Defaults to false.

Example:

true

revenue_action
enum<string>
required

Type of revenue action. Required only if is_revenue_enabled is true. Do not use exact — it will be stored as unknown.

Available options:
increase,
decrease,
flat_increase,
flat_decrease
Example:

"decrease"

revenue_value
number
required

The revenue modifier value. Required only if is_revenue_enabled is true. Must be greater than 0.

Example:

6

notes
string

Note for internal usage.

Example:

"Monthly payement"

network_offer_payout_revenue_id
integer

ID of the offer payout revenue. Defaults to 0.

Example:

0

is_apply_all_affiliates
boolean

Whether or not you want to apply the tiered commission to all affiliates. Defaults to false.

Example:

false

network_affiliate_ids
integer[]

ID of the Affiliates.

Example:
[21, 35, 28]
network_advertiser_ids
integer[] | null

ID of the advertisers.

payout_goal
integer

The payout goal of your tiered commission. Defaults to 0.

Example:

0

revenue_goal
integer

The revenue goal of your tiered commission. Defaults to 0.

Example:

121

sale_amount_goal
integer

The sale amount goal of your tiered commission. Defaults to 0.

Example:

0

conversion_goal
integer

The conversion goal of your tiered commission. Defaults to 0.

Example:

10

event_goal
integer

The event goal of your tiered commission. Defaults to 0.

Example:

0

relationship
object

Related entities. Pass an empty object {}.

payout_max
integer

The maximum payout allowed. If set, must be greater than payout_goal. Defaults to 0 (no maximum).

Example:

0

revenue_max
integer

The maximum revenue allowed. If set, must be greater than revenue_goal. Defaults to 0 (no maximum).

Example:

1000

sale_amount_max
integer

The maximum sale amount allowed. If set, must be greater than sale_amount_goal. Defaults to 0 (no maximum).

Example:

0

conversion_max
integer

The maximum conversions allowed. If set, must be greater than conversion_goal. Defaults to 0 (no maximum).

Example:

0

event_max
integer

The maximum events allowed. If set, must be greater than event_goal. Defaults to 0 (no maximum).

Example:

0

is_retroactive_payout_enabled
boolean

Whether retroactive payout adjustments are enabled. Defaults to false.

Example:

false

retroactive_payout_action
enum<string>

The retroactive payout action type. Required only if is_retroactive_payout_enabled is true. Supports exact unlike regular payout actions.

Available options:
increase,
decrease,
flat_increase,
flat_decrease,
exact
Example:

"flat_increase"

retroactive_payout_value
number

The retroactive payout modifier value. Required only if is_retroactive_payout_enabled is true. Must be greater than 0.

Example:

5

is_retroactive_revenue_enabled
boolean

Whether retroactive revenue adjustments are enabled. Defaults to false.

Example:

false

retroactive_revenue_action
enum<string>

The retroactive revenue action type. Required only if is_retroactive_revenue_enabled is true. Supports exact unlike regular revenue actions.

Available options:
increase,
decrease,
flat_increase,
flat_decrease,
exact
Example:

"flat_decrease"

retroactive_revenue_value
number

The retroactive revenue modifier value. Required only if is_retroactive_revenue_enabled is true. Must be greater than 0.

Example:

5

Response

A tiered commission configuration with all computed and relational fields.

network_tiered_commission_id
integer

Unique tiered commission ID.

Example:

1

network_id
integer

Network ID.

Example:

1

name
string

The name of the tiered commission.

Example:

"SilverCommission"

notes
string

Note for internal usage.

Example:

"Monthly payement"

status
enum<string>

The tiered commissions status. Can either be active or inactive.

Available options:
active,
inactive
Example:

"active"

start_date
string

Start of when rule goes into effect. This can be set to a future date.

Example:

"2020-07-23"

end_date
string

End of when rule goes into effect.

Example:

"2020-08-22"

period
enum<string>

The tiered commissions period. Can either be daily, weekly, monthly, quarterly or global.

Available options:
daily,
weekly,
monthly,
quarterly,
global
Example:

"monthly"

network_offer_payout_revenue_id
integer

ID of the offer payout revenue.

Example:

0

is_apply_all_affiliates
boolean

Whether or not you want to apply the tiered commission to all affiliates. Defaults to false.

Example:

false

network_affiliate_ids
integer[]

ID of the Affiliates.

Example:
[21, 35, 28]
network_offer_ids
integer[]

ID of the offers.

Example:
[1, 15, 12]
network_advertiser_ids
integer[] | null

ID of the advertisers.

Example:

null

is_payout_enabled
boolean

Whether or not you want to enable the payout settings. Defaults to false.

Example:

true

payout_action
enum<string>

Type of payout action. Note: sending exact will be stored as unknown — use only increase, decrease, flat_increase, or flat_decrease.

Available options:
increase,
decrease,
flat_increase,
flat_decrease,
unknown
Example:

"increase"

payout_value
number

The payout modifier value. Required only if is_payout_enabled is true. Must be greater than 0.

Example:

10

is_revenue_enabled
boolean

Whether or not you want to enable the revenue. Defaults to false.

Example:

true

revenue_action
enum<string>

Type of revenue action. Note: sending exact will be stored as unknown — use only increase, decrease, flat_increase, or flat_decrease.

Available options:
increase,
decrease,
flat_increase,
flat_decrease,
unknown
Example:

"decrease"

revenue_value
number

The revenue modifier value. Required only if is_revenue_enabled is true. Must be greater than 0.

Example:

6

payout_goal
integer

The payout goal of your tiered commission.

Example:

0

revenue_goal
integer

The revenue goal of your tiered commission.

Example:

121

sale_amount_goal
integer

The sale amount goal of your tiered commission.

Example:

0

conversion_goal
integer

The conversion goal of your tiered commission.

Example:

10

event_goal
integer

The event goal of your tiered commission.

Example:

0

relationship
object

Related entities. Always returns an empty object {} in practice.

payout_max
integer

The maximum percentage of payout allowed.

Example:

0

revenue_max
integer

The maximum amount of revenue allowed.

Example:

1000

sale_amount_max
integer

The maximum number of sale amount allowed.

Example:

0

conversion_max
integer

The maximum number of conversions allowed.

Example:

0

event_max
integer

The maximum number of events allowed.

Example:

0

is_retroactive_payout_enabled
boolean

Whether retroactive payout adjustments are enabled.

Example:

false

retroactive_payout_action
enum<string>

The retroactive payout action type. Retroactive actions support exact in addition to the standard action types.

Available options:
increase,
decrease,
flat_increase,
flat_decrease,
exact,
unknown
Example:

"flat_increase"

retroactive_payout_value
number

The retroactive payout modifier value.

Example:

0

retroactive_payout_type
enum<string>

The retroactive payout type.

Available options:
cpa,
cps,
Example:

""

retroactive_payout_percentage
number

The retroactive payout percentage.

Example:

0

is_retroactive_revenue_enabled
boolean

Whether retroactive revenue adjustments are enabled.

Example:

false

retroactive_revenue_action
enum<string>

The retroactive revenue action type. Retroactive actions support exact in addition to the standard action types.

Available options:
increase,
decrease,
flat_increase,
flat_decrease,
exact,
unknown
Example:

"flat_decrease"

retroactive_revenue_value
number

The retroactive revenue modifier value.

Example:

0

retroactive_revenue_type
enum<string>

The retroactive revenue type.

Available options:
rpa,
rps,
Example:

""

retroactive_revenue_percentage
number

The retroactive revenue percentage.

Example:

0

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015